import main
from modules import regproc


class ConfirmCommand:
    def __init__(self, *args):
        self.confirm(*args)

    def confirm(
        self, addr, authed, data, obj, spl, success, failure, info, incUsage, length
    ):
        if authed:
            if length == 4:
                if not spl[1] in main.network.keys():
                    failure("No such network: %s" % spl[1])
                    return
                if not spl[2].isdigit():
                    failure("Must be a number, not %s" % spl[2])
                    return
                if not int(spl[2]) in main.network[spl[1]].relays.keys():
                    failure("No such relay on %s: %s" % (spl[1], spl[2]))
                    return
                regproc.confirmAccount(spl[1], int(spl[2]), spl[3])
                success(
                    "Requested confirmation on %s - %s with token %s"
                    % (spl[1], spl[2], spl[3])
                )
                return
            else:
                incUsage("confirm")
                return
        else:
            incUsage(None)
